writeSeq {sequoia} | R Documentation

## write sequoia output to excel or text files

### Description

The various list elements returned by `sequoia` are each written to text files in the specified folder, or to separate sheets in a single excel file (requires library xlsx).

### Usage

    writeSeq(SeqList, GenoM = NULL, PedComp = NULL, OutFormat = "txt",
      folder = "Sequoia-OUT", file = "Sequoia-OUT.xlsx", quiet = FALSE)

### Arguments

`SeqList` | the list returned by `sequoia`, to be written out.
`GenoM` | the matrix with genetic data (optional). Ignored if OutFormat='xls', as the resulting file could become too large for excel.
`PedComp` | a list with results from `PedCompare` (optional). `SeqList$DummyIDs` is combined with `PedComp$DummyMatch` if both are provided.
`OutFormat` | 'xls' or 'txt'.
`folder` | the directory where the text files will be written; will be created if it does not already exists. Relative to the current working directory, or NULL for current working directory. Ignored if OutFormat='xls'.
`file` | the name of the excel file to write to, ignored if OutFormat='txt'.
`quiet` | suppress messages.

### Details

The text files can be used as input for the stand-alone Fortran version of #' sequoia, e.g. when the genotype data is too large for R. See `vignette('sequoia')` for further details.

### Examples

    ## Not run:
    writeSeq(SeqList, OutFormat="xls", file="MyFile.xlsx")

    # add additional sheets to the excel file:
    library(xlsx)
    write.xlsx(MyData, file = "MyFile.xlsx", sheetName="ExtraData",
          col.names=TRUE, row.names=FALSE, append=TRUE, showNA=FALSE)

    ## End(Not run)

[Package sequoia version 1.3.3 Index]